Index: trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml
===================================================================
--- trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 436)
+++ trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 437)
@@ -22,11 +22,12 @@
 </item>
 
+<!--NOT TESTED -->
 <item type="rect">
     	<show type="timed"/>
-    	<normal color="#ffffff" alpha="0.5"/>
+    	<normal color="#ff0000" alpha="0.5"/>
     	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
     	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
       		<item type="label" id="timed-label">
-        	<normal color="#ffffff" font="Sans 12"/>
+        	<normal color="#ff0000" font="Sans 12"/>
         	<pos x="50%" anchor="n"/>
 		<!-- Stock label for: User %s will login in %d seconds -->
@@ -75,68 +76,64 @@
     	<!-- all possible actions -->
       	<item type="rect">
-    		<normal color="#ffffff" alpha="0"/>
-    		<pos anchor="c" x="50%" y="0%" width="300" height="box" expand="true"/>
+    		<normal color="#999999" alpha="0"/>
+    		<pos anchor="c" x="50%" y="0%" width="248" height="box" expand="true"/>
     			<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true"> 
 				<item type="rect" id="language_button" button="true">
-            			<normal color="#ffffff" alpha="0"/>
-	    			<pos y="45" anchor="w" width="box" height="box"/>
-				<!--	
+            			<normal color="#ffffff" alpha="0.5"/>
+	    			<pos y="35" anchor="w" width="box" height="box"/>
 				<box orientation="horizontal" spacing="5" xpadding="10">
+	      				<item type="label">
+	        			<normal color="#999999" font="Sans 9"/>
+					<prelight color="#333333" font="Sans 9"/>
+					<active color="#000000" font="Sans 9"/>
+	        			<pos y="0%" anchor="w"/>
+					<!-- Stock label for: _Language -->
+					<stock type="language"/>
+	      				</item>
+            		</box>
+	</item>
+
+
+		<item type="rect" id="session_button" button="true">
+        	<normal color="#ffffff" alpha="0.5"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
 	      			<item type="label">
-	        		<normal color="#ffffff" font="Sans 9"/>
-				<prelight color="#efefef" font="Sans 9"/>
-				<active color="#333333" font="Sans 9"/>
-	        		<pos y="50%" anchor="w"/>
-			-->
-				<!-- Stock label for: _Language -->
-				<!--		
-				<stock type="language"/>
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+				<pos y="0%" anchor="w"/> -->
+				<!-- Stock label for: _Session -->
+				<stock type="session"/>
 	      			</item>
             		</box>
-			-->
-	</item>
+		</item>
 
-	<!--
-	<item type="rect" id="session_button" button="true">
-        	<normal color="#ffffff" alpha="0"/>
-		<pos y="45" anchor="w" width="box" height="box"/>
+	        <item type="rect" id="system_button" button="true">
+            	<normal color="#ffffff" alpha="0.5"/>
+	    	<show modes="console" type="system"/>
+	    		<pos y="35" anchor="w" width="box" height="box"/>
             		<box orientation="horizontal" spacing="5" xpadding="10">
 	      			<item type="label">
-	        		<normal color="#ffffff" font="Sans 9"/>
-				<prelight color="#efefef" font="Sans 9"/>
-				<active color="#333333" font="Sans 9"/>
-				<pos y="50%" anchor="w"/> -->
-				<!-- Stock label for: _Session -->
-				<!--		<stock type="session"/>
-	      			</item>
-            		</box>
-	</item>
-	-->
-        <item type="rect" id="system_button" button="true">
-            	<normal color="#ffffff" alpha="0"/>
-	    	<show modes="console" type="system"/>
-	    	<pos y="45" anchor="w" width="box" height="box"/>
-            		<box orientation="horizontal" spacing="5" xpadding="10">
-	      			<item type="label">
-	        		<normal color="#ffffff" font="Sans 9"/>
-				<prelight color="#efefef" font="Sans 9"/>
-				<active color="#333333" font="Sans 9"/>
-	        		<pos y="50%" anchor="w"/>
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+	        		<pos y="0%" anchor="w"/>
 				<!-- Stock label for: _Actions -->
 				<stock type="system"/>
 	      			</item>
             		</box>
-	</item>
+		</item>
 
-        <item type="rect" id="disconnect_button" button="true">
-            	<normal color="#ffffff" alpha="0"/>
+        	<item type="rect" id="disconnect_button" button="true">
+            	<normal color="#ffffff" alpha="0.5"/>
 	    	<show modes="flexi,remote"/>
-	    	<pos y="45" anchor="w" width="box" height="box"/>
+	    		<pos y="35" anchor="w" width="box" height="box"/>
             		<box orientation="horizontal" spacing="5" xpadding="10">
 	      			<item type="label">
-	        		<normal color="#ffffff" font="Sans 9"/>
-				<prelight color="#efefef" font="Sans 9"/>
-				<active color="#333333" font="Sans 9"/>
-	        		<pos y="50%" anchor="w"/>
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+	        		<pos y="0%" anchor="w"/>
 				<!-- Stock label for: D_isconnect -->
 				<stock type="disconnect"/>
@@ -145,8 +142,8 @@
 
 	      			<item type="label">
-	        		<normal color="#ffffff" font="Sans 9"/>
-				<prelight color="#efefef" font="Sans 9"/>
-				<active color="#333333" font="Sans 9"/>
-	        		<pos y="50%" anchor="w"/>
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+	        		<pos y="0%" anchor="w"/>
 				<!-- Stock label for: _Quit -->
 				<stock type="quit"/>
@@ -154,5 +151,5 @@
 	      			</item>
            		</box>
-	</item>
+		</item>
       
    </box>