Index: trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml
===================================================================
--- trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 437)
+++ trunk/login-themes/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 438)
@@ -78,7 +78,8 @@
     		<normal color="#999999" alpha="0"/>
     		<pos anchor="c" x="50%" y="0%" width="248" height="box" expand="true"/>
-    			<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true"> 
-				<item type="rect" id="language_button" button="true">
-            			<normal color="#ffffff" alpha="0.5"/>
+    		<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true">
+ 
+				<item type="rect" id="options_button" button="true">
+            			<normal color="#ffffff" alpha="0"/>
 	    			<pos y="35" anchor="w" width="box" height="box"/>
 				<box orientation="horizontal" spacing="5" xpadding="10">
@@ -88,44 +89,12 @@
 					<active color="#000000" font="Sans 9"/>
 	        			<pos y="0%" anchor="w"/>
-					<!-- Stock label for: _Language -->
-					<stock type="language"/>
-	      				</item>
+					<stock type="options"/>
+	      			</item>
+
             		</box>
 	</item>
 
-
-		<item type="rect" id="session_button" button="true">
-        	<normal color="#ffffff" alpha="0.5"/>
-			<pos y="35" anchor="w" width="box" height="box"/>
-            		<box orientation="horizontal" spacing="5" xpadding="10">
-	      			<item type="label">
-	        		<normal color="#999999" font="Sans 9"/>
-				<prelight color="#333333" font="Sans 9"/>
-				<active color="#000000" font="Sans 9"/>
-				<pos y="0%" anchor="w"/> -->
-				<!-- Stock label for: _Session -->
-				<stock type="session"/>
-	      			</item>
-            		</box>
-		</item>
-
-	        <item type="rect" id="system_button" button="true">
-            	<normal color="#ffffff" alpha="0.5"/>
-	    	<show modes="console" type="system"/>
-	    		<pos y="35" anchor="w" width="box" height="box"/>
-            		<box orientation="horizontal" spacing="5" xpadding="10">
-	      			<item type="label">
-	        		<normal color="#999999" font="Sans 9"/>
-				<prelight color="#333333" font="Sans 9"/>
-				<active color="#000000" font="Sans 9"/>
-	        		<pos y="0%" anchor="w"/>
-				<!-- Stock label for: _Actions -->
-				<stock type="system"/>
-	      			</item>
-            		</box>
-		</item>
-
         	<item type="rect" id="disconnect_button" button="true">
-            	<normal color="#ffffff" alpha="0.5"/>
+            	<normal color="#ffffff" alpha="0"/>
 	    	<show modes="flexi,remote"/>
 	    		<pos y="35" anchor="w" width="box" height="box"/>
@@ -140,17 +109,38 @@
 	        		<show modes="remote"/>
 	      			</item>
+           		</box>
+		</item>
 
+		<!-- reboot in console -->
+		<item type="rect" id="reboot_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+		<show modes="console"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
 	      			<item type="label">
 	        		<normal color="#999999" font="Sans 9"/>
 				<prelight color="#333333" font="Sans 9"/>
 				<active color="#000000" font="Sans 9"/>
-	        		<pos y="0%" anchor="w"/>
-				<!-- Stock label for: _Quit -->
-				<stock type="quit"/>
-	        		<show modes="flexi"/>
+				<pos y="0%" anchor="w"/>
+				<show modes="console"/>
+				<stock type="reboot"/>
 	      			</item>
-           		</box>
+            		</box>
 		</item>
-      
+		<!-- shutdown in console -->
+		<item type="rect" id="halt_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+				<pos y="0%" anchor="w"/> -->
+				<show modes="console"/>
+				<stock type="halt"/>
+	      			</item>
+            		</box>
+		</item>
    </box>
 </item>