Index: trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/Gdm-Carpani-cta.xml
===================================================================
--- trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 461)
+++ trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/Gdm-Carpani-cta.xml	(revision 461)
@@ -0,0 +1,163 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE greeter SYSTEM "greeter.dtd">
+<greeter>
+
+<!-- test the theme with gdmthemeter and with a given resolution
+     export XNESTSIZE=1024x768 (not working in debian... for now)
+-->
+
+<!--Background -->
+<item type="pixmap">
+    	<normal file="bg.jpg"/>
+    	<pos x="0" y="0" width="100%" height="100%"/>
+</item>
+
+<!--Login window  -->
+<item type="pixmap">
+	<normal file="login.png"/>
+	<pos anchor="c" x="50%" y="72%"/>
+</item>
+
+<!--Clock -->
+<item type="label" id="clock">
+    	<normal color="#999999" font="Sans 10"/>
+    	<pos anchor="c" x="87%" y="97.2%" />
+    	<text>%c</text>
+</item>
+
+<!--NOT TESTED -->
+<item type="rect">
+    	<show type="timed"/>
+    	<normal color="#ff0000" alpha="0.5"/>
+    	<pos anchor="c" x="50%" y="35%" width="box" height="box"/>
+    	<box orientation="vertical" min-width="400" xpadding="10" ypadding="5" spacing="0">
+      		<item type="label" id="timed-label">
+        	<normal color="#ff0000" font="Sans 12"/>
+        	<pos x="50%" anchor="n"/>
+		<!-- Stock label for: User %s will login in %d seconds -->
+		<stock type="timed-label"/>
+      		</item>
+    	</box>
+</item>
+
+<!--Login -->
+<item type="rect">
+    <normal color="#FFFFFF" alpha="0"/>
+    <pos anchor="c" x="50%" y="73.5%" width="box" height="box"/>
+    <box orientation="vertical" min-width="380" xpadding="30" ypadding="30" spacing="10">
+
+      	<item type="label" id="pam-prompt">
+        	<pos anchor="c" x="50%" y="30%"/>
+        	<normal color="#ffffff" font="Sans 10"/>
+		<!-- Stock label for: Username: -->
+		<stock type="username-label"/>
+      	</item>
+
+      	<item type="rect">
+		<normal color="#333333"/>
+        	<pos anchor="n" x="50%" height="18" width="40%"/>
+		<fixed>
+	  		<item type="entry" id="user-pw-entry">
+            			<normal color="#333333" font="Sans 10"/>
+            			<pos anchor="nw" x="1" y="1" height="-2" width="-2"/>
+	  		</item>
+		</fixed>
+      	</item>
+
+	<item type="rect" id="caps-lock-warning">
+    		<normal color="#FFFFFF" alpha="0"/>
+    		<pos anchor="c" x="50%" y="60%" width="box" height="box"/>
+    		<box orientation="vertical" min-width="380" xpadding="10" ypadding="0" spacing="0">
+      			<item type="label">
+        			<normal color="#999999" font="Sans 12"/>
+        			<pos x="50%" anchor="n"/>
+				<!-- Stock label for: You've got capslock on! -->
+				<stock type="caps-lock-warning"/>
+      			</item>
+    		</box>
+  	</item>  
+     
+    	<!-- all possible actions -->
+      	<item type="rect">
+    	<normal color="#999999" alpha="0"/>
+    	<pos anchor="c" x="50%" y="0%" width="248" height="box" expand="true"/>
+    	<box xpadding="5" ypadding="5" spacing="5" orientation="horizontal" homogeneous="true">
+ 
+		<item type="rect" id="options_button" button="true">
+			<normal color="#ffffff" alpha="0"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+			<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        			<normal color="#999999" font="Sans 9"/>
+					<prelight color="#333333" font="Sans 9"/>
+					<active color="#000000" font="Sans 9"/>
+	        			<pos y="0%" anchor="w"/>
+					<stock type="options"/>
+	      			</item>
+	            	</box>
+		</item>
+
+        	<item type="rect" id="disconnect_button" button="true">
+        	    	<normal color="#ffffff" alpha="0"/>
+		    	<show modes="flexi,remote"/>
+	    		<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+	        		<pos y="0%" anchor="w"/>
+				<stock type="disconnect"/>
+	        		<show modes="remote"/>
+	      			</item>
+           		</box>
+		</item>
+
+		<!-- reboot in console -->
+		<item type="rect" id="reboot_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+		<show modes="console"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+				<pos y="0%" anchor="w"/>
+				<show modes="console"/>
+				<stock type="reboot"/>
+	      			</item>
+            		</box>
+		</item>
+		<!-- shutdown in console -->
+		<item type="rect" id="halt_button" button="true">
+        	<normal color="#ffffff" alpha="0"/>
+			<pos y="35" anchor="w" width="box" height="box"/>
+            		<box orientation="horizontal" spacing="5" xpadding="10">
+	      			<item type="label">
+	        		<normal color="#999999" font="Sans 9"/>
+				<prelight color="#333333" font="Sans 9"/>
+				<active color="#000000" font="Sans 9"/>
+				<pos y="0%" anchor="w"/> -->
+				<show modes="console"/>
+				<stock type="halt"/>
+	      			</item>
+            		</box>
+		</item>
+   </box>
+</item>
+
+</box>
+
+    	<fixed>
+      		<item type="label" id="pam-error">
+        	<pos anchor="c" x="50%" y="115%"/>
+        	<normal color="#ff0000" font="Sans 12"/>
+        	<text></text>
+      		</item>
+    	</fixed>
+</item>
+
+</greeter>
+
+
Index: trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/GdmGreeterTheme.desktop
===================================================================
--- trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/GdmGreeterTheme.desktop	(revision 461)
+++ trunk/puppet/modules/puppet-login_themes/files/gdm-carpani-cta/GdmGreeterTheme.desktop	(revision 461)
@@ -0,0 +1,10 @@
+[GdmGreeterTheme]
+Encoding=UTF-8
+Greeter=Gdm-Carpani-cta.xml
+Name=Gdm-Carpani-CTA
+Name[fr]=Gdm-Carapani-CTA
+Name[es]=Gdm-Carapani-CTA
+Description=GDM theme with an illustration of Carpani - Argentinian militant artist
+Author=Sebastien Grenier
+Copyright=GPL Etienne Alaurent (theme) + Sebastien Grenier (theme modifications) + Artwork to their respective owners - Walter Pideras and Carpani
+Screenshot=screenshot.png
Index: trunk/puppet/modules/puppet-login_themes/manifests/classes/gdm-carpani-cta.pp
===================================================================
--- trunk/puppet/modules/puppet-login_themes/manifests/classes/gdm-carpani-cta.pp	(revision 461)
+++ trunk/puppet/modules/puppet-login_themes/manifests/classes/gdm-carpani-cta.pp	(revision 461)
@@ -0,0 +1,21 @@
+class login_themes::gdm::carpani_cta {
+
+  debug ("installing gdm login theme carpani-cta")
+
+  package {"gdm":
+    ensure    => installed,
+  }
+
+  file {
+    "/usr/share/gdm/themes/gdm-carpani-cta":
+      ensure  => directory,
+      mode    => 755,
+      owner   => root,
+      group   => root,
+      source  => "puppet:///login_themes/gdm-carpani-cta/",
+      recurse => "true",
+      require => Package[gdm];
+  }
+
+}
+
Index: trunk/puppet/modules/puppet-login_themes/manifests/init.pp
===================================================================
--- trunk/puppet/modules/puppet-login_themes/manifests/init.pp	(revision 461)
+++ trunk/puppet/modules/puppet-login_themes/manifests/init.pp	(revision 461)
@@ -0,0 +1,1 @@
+import "classes/*.pp"