Index: /trunk/puppet/modules/puppet-network/.git/HEAD
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/HEAD	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/HEAD	(revision 510)
@@ -0,0 +1,1 @@
+ref: refs/heads/master
Index: /trunk/puppet/modules/puppet-network/.git/config
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/config	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/config	(revision 510)
@@ -0,0 +1,11 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	url = git://git.koumbit.net/puppet/modules/network.git
+	fetch = +refs/heads/*:refs/remotes/origin/*
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master
Index: /trunk/puppet/modules/puppet-network/.git/description
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/description	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/description	(revision 510)
@@ -0,0 +1,1 @@
+Unnamed repository; edit this file to name it for gitweb.
Index: /trunk/puppet/modules/puppet-network/.git/hooks/applypatch-msg
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/applypatch-msg	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/applypatch-msg	(revision 510)
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, make this file executable.
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:
Index: /trunk/puppet/modules/puppet-network/.git/hooks/commit-msg
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/commit-msg	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/commit-msg	(revision 510)
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by git-commit with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, make this file executable.
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}
Index: /trunk/puppet/modules/puppet-network/.git/hooks/post-commit
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/post-commit	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/post-commit	(revision 510)
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script that is called after a successful
+# commit is made.
+#
+# To enable this hook, make this file executable.
+
+: Nothing
Index: /trunk/puppet/modules/puppet-network/.git/hooks/post-receive
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/post-receive	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/post-receive	(revision 510)
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# An example hook script for the post-receive event
+#
+# This script is run after receive-pack has accepted a pack and the
+# repository has been updated.  It is passed arguments in through stdin
+# in the form
+#  <oldrev> <newrev> <refname>
+# For example:
+#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
+#
+# see contrib/hooks/ for an sample, or uncomment the next line (on debian)
+#
+
+
+#. /usr/share/doc/git-core/contrib/hooks/post-receive-email
Index: /trunk/puppet/modules/puppet-network/.git/hooks/post-update
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/post-update	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/post-update	(revision 510)
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, make this file executable by "chmod +x post-update".
+
+exec git-update-server-info
Index: /trunk/puppet/modules/puppet-network/.git/hooks/pre-applypatch
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/pre-applypatch	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/pre-applypatch	(revision 510)
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, make this file executable.
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:
Index: /trunk/puppet/modules/puppet-network/.git/hooks/pre-commit
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/pre-commit	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/pre-commit	(revision 510)
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by git-commit with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, make this file executable.
+
+# This is slightly modified from Andrew Morton's Perfect Patch.
+# Lines you introduce should not have trailing whitespace.
+# Also check for an indentation that has SP before a TAB.
+
+if git-rev-parse --verify HEAD 2>/dev/null
+then
+	git-diff-index -p -M --cached HEAD --
+else
+	# NEEDSWORK: we should produce a diff with an empty tree here
+	# if we want to do the same verification for the initial import.
+	:
+fi |
+perl -e '
+    my $found_bad = 0;
+    my $filename;
+    my $reported_filename = "";
+    my $lineno;
+    sub bad_line {
+	my ($why, $line) = @_;
+	if (!$found_bad) {
+	    print STDERR "*\n";
+	    print STDERR "* You have some suspicious patch lines:\n";
+	    print STDERR "*\n";
+	    $found_bad = 1;
+	}
+	if ($reported_filename ne $filename) {
+	    print STDERR "* In $filename\n";
+	    $reported_filename = $filename;
+	}
+	print STDERR "* $why (line $lineno)\n";
+	print STDERR "$filename:$lineno:$line\n";
+    }
+    while (<>) {
+	if (m|^diff --git a/(.*) b/\1$|) {
+	    $filename = $1;
+	    next;
+	}
+	if (/^@@ -\S+ \+(\d+)/) {
+	    $lineno = $1 - 1;
+	    next;
+	}
+	if (/^ /) {
+	    $lineno++;
+	    next;
+	}
+	if (s/^\+//) {
+	    $lineno++;
+	    chomp;
+	    if (/\s$/) {
+		bad_line("trailing whitespace", $_);
+	    }
+	    if (/^\s* \t/) {
+		bad_line("indent SP followed by a TAB", $_);
+	    }
+	    if (/^([<>])\1{6} |^={7}$/) {
+		bad_line("unresolved merge conflict", $_);
+	    }
+	}
+    }
+    exit($found_bad);
+'
Index: /trunk/puppet/modules/puppet-network/.git/hooks/pre-rebase
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/pre-rebase	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/pre-rebase	(revision 510)
@@ -0,0 +1,150 @@
+#!/bin/sh
+#
+# Copyright (c) 2006 Junio C Hamano
+#
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD`
+fi
+
+case "$basebranch,$topic" in
+master,refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Is topic fully merged to master?
+not_in_master=`git-rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git-rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git-rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git-rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git-rev-list --pretty=oneline ^${publish} "$topic"`
+	perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git-rev-list ^master ^topic next
+	git-rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git-rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
Index: /trunk/puppet/modules/puppet-network/.git/hooks/prepare-commit-msg
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/prepare-commit-msg	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/prepare-commit-msg	(revision 510)
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by git-commit with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, make this file executable.
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    perl -i -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   perl -i -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
Index: /trunk/puppet/modules/puppet-network/.git/hooks/update
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/hooks/update	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/hooks/update	(revision 510)
@@ -0,0 +1,107 @@
+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by git-receive-pack with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, make this file executable by "chmod +x update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+if [ -z "$projectdesc" -o "$projectdesc" = "Unnamed repository; edit this file to name it for gitweb." ]; then
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+fi
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+if [ "$newrev" = "0000000000000000000000000000000000000000" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git-cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		;;
+	refs/heads/*,commit)
+		# branch
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0
Index: /trunk/puppet/modules/puppet-network/.git/info/exclude
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/info/exclude	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/info/exclude	(revision 510)
@@ -0,0 +1,6 @@
+# git-ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~
Index: /trunk/puppet/modules/puppet-network/.git/logs/HEAD
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/logs/HEAD	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/logs/HEAD	(revision 510)
@@ -0,0 +1,1 @@
+0000000000000000000000000000000000000000 f4a5822898c2b12db93c0e76b7fe77fbf75fe6db root <root@chavez.sedenacional.cta.org.ar> 1261585838 +0000	clone: from git://git.koumbit.net/puppet/modules/network.git
Index: /trunk/puppet/modules/puppet-network/.git/logs/refs/heads/master
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/logs/refs/heads/master	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/logs/refs/heads/master	(revision 510)
@@ -0,0 +1,1 @@
+0000000000000000000000000000000000000000 f4a5822898c2b12db93c0e76b7fe77fbf75fe6db root <root@chavez.sedenacional.cta.org.ar> 1261585838 +0000	clone: from git://git.koumbit.net/puppet/modules/network.git
Index: /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/HEAD
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/HEAD	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/HEAD	(revision 510)
@@ -0,0 +1,1 @@
+0000000000000000000000000000000000000000 f4a5822898c2b12db93c0e76b7fe77fbf75fe6db root <root@chavez.sedenacional.cta.org.ar> 1261585838 +0000	clone: from git://git.koumbit.net/puppet/modules/network.git
Index: /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/master
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/master	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/logs/refs/remotes/origin/master	(revision 510)
@@ -0,0 +1,1 @@
+0000000000000000000000000000000000000000 f4a5822898c2b12db93c0e76b7fe77fbf75fe6db root <root@chavez.sedenacional.cta.org.ar> 1261585838 +0000	clone: from git://git.koumbit.net/puppet/modules/network.git
Index: /trunk/puppet/modules/puppet-network/.git/refs/heads/master
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/refs/heads/master	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/refs/heads/master	(revision 510)
@@ -0,0 +1,1 @@
+f4a5822898c2b12db93c0e76b7fe77fbf75fe6db
Index: /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/HEAD
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/HEAD	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/HEAD	(revision 510)
@@ -0,0 +1,1 @@
+ref: refs/remotes/origin/master
Index: /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/master
===================================================================
--- /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/master	(revision 510)
+++ /trunk/puppet/modules/puppet-network/.git/refs/remotes/origin/master	(revision 510)
@@ -0,0 +1,1 @@
+f4a5822898c2b12db93c0e76b7fe77fbf75fe6db
Index: /trunk/puppet/modules/puppet-network/LICENSE
===================================================================
--- /trunk/puppet/modules/puppet-network/LICENSE	(revision 510)
+++ /trunk/puppet/modules/puppet-network/LICENSE	(revision 510)
@@ -0,0 +1,29 @@
+These files were written by Antoine Beaupre and others as noted in the
+individual files.
+
+Copyright (C) 2007 Antoine Beaupre <anarcat@koumbit.org>
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions
+are met:
+1. Redistributions of source code must retain the above copyright
+   notice, this list of conditions and the following disclaimer.
+2. Redistributions in binary form must reproduce the above copyright
+   notice, this list of conditions and the following disclaimer in the
+   documentation and/or other materials provided with the distribution.
+3. Neither the name of the Author nor the names of its contributors
+   may be used to endorse or promote products derived from this software
+   without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+SUCH DAMAGE.
Index: /trunk/puppet/modules/puppet-network/README
===================================================================
--- /trunk/puppet/modules/puppet-network/README	(revision 510)
+++ /trunk/puppet/modules/puppet-network/README	(revision 510)
@@ -0,0 +1,8 @@
+This module aims to provide a general abstracted interface to
+configure various network-related parameters on multiple platforms.
+
+OpenBSD and Debian are the current target architectures, but patches
+are welcome for others.
+
+IP, netmask, broadcast, VLANs are currently supported. route and
+firewall configuration are next in line.
Index: /trunk/puppet/modules/puppet-network/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/puppet-network/manifests/init.pp	(revision 510)
+++ /trunk/puppet/modules/puppet-network/manifests/init.pp	(revision 510)
@@ -0,0 +1,56 @@
+import "network/os/*.pp"
+
+class network {
+
+}
+
+# configure an interface with the given options
+# $parameters are platform dependent extras
+define network::interface ( $address, $netmask, $broadcast = "NONE", $parameters = "" ) {
+  case $operatingsystem {
+    OpenBSD: {
+      network::interface::openbsd { $name:
+        address => $address,
+        netmask => $netmask,
+        broadcast => $broadcast,
+	parameters => $parameters,
+      }
+    }
+    Debian: {
+      network::interface::debian { $name:
+        address => $address,
+        netmask => $netmask,
+        broadcast => $broadcast,
+	parameters => $parameters,
+      }
+    }
+    Ubuntu: {
+      network::interface::debian { $name:
+        address => $address,
+        netmask => $netmask,
+        broadcast => $broadcast,
+        parameters => $parameters,
+      }
+    }
+    default: {
+      err("Network interface configuration not supported in $operatingsystem")
+    }
+  }
+}
+
+# configure a tagged vlan on the given interface
+define network::vlan ( $vtag, $device, $address, $netmask, $broadcast = "NONE", $parameters = "" ) {
+  case $operatingsystem {
+    OpenBSD: {
+      network::interface { $name:
+        address => $address,
+        netmask => $netmask,
+        broadcast => $broadcast,
+        parameters => "vlan $vtag vlandev $device $parameters"
+      }
+    }
+    default: {
+      err("VLANs not supported in $operatingsystem")
+    }
+  }
+}
Index: /trunk/puppet/modules/puppet-network/manifests/os/debian.pp
===================================================================
--- /trunk/puppet/modules/puppet-network/manifests/os/debian.pp	(revision 510)
+++ /trunk/puppet/modules/puppet-network/manifests/os/debian.pp	(revision 510)
@@ -0,0 +1,27 @@
+class network::debian {
+  exec { "networking":
+    command => "/usr/sbin/invoke-rc.d networking restart",
+    logoutput => true,
+    refreshonly => true,
+  }
+
+  package {"resolvconf":
+    ensure    => installed,
+  }
+
+}
+
+define network::interface::debian ( $address, $netmask, $broadcast = "NONE", $parameters = "", $auto = true ) {
+  include network::debian
+
+  $content = template("network/debian.erb")
+  $file = "/etc/network/interfaces"
+
+  # add an interface line if doesn't exist
+  exec { "/bin/echo '${content}' >> $file":
+    unless => "/bin/grep -q '^iface[[:space:]]*${name}[[:space:]]' $file",
+    notify => Exec["networking"]
+  }
+
+  # XXX: we don't do anything if the file already exists, which means we can't change the IP, for example
+}
Index: /trunk/puppet/modules/puppet-network/manifests/os/openbsd.pp
===================================================================
--- /trunk/puppet/modules/puppet-network/manifests/os/openbsd.pp	(revision 510)
+++ /trunk/puppet/modules/puppet-network/manifests/os/openbsd.pp	(revision 510)
@@ -0,0 +1,17 @@
+class network::openbsd {
+  exec { "netstart":
+    command => "/bin/sh /etc/netstart",
+    logoutput => true,
+    refreshonly => true,
+  }
+}
+
+define network::interface::openbsd ( $address, $netmask, $broadcast = "NONE", $parameters = "" ) {
+  include network::openbsd  
+
+  file { "/etc/hostname.$name":
+    mode => 0644,
+    content => template("network/openbsd.hostname.erb"),
+    notify => Exec[netstart],
+  }
+}
Index: /trunk/puppet/modules/puppet-network/templates/debian.erb
===================================================================
--- /trunk/puppet/modules/puppet-network/templates/debian.erb	(revision 510)
+++ /trunk/puppet/modules/puppet-network/templates/debian.erb	(revision 510)
@@ -0,0 +1,8 @@
+
+<% if auto != '' %>auto <%= name %> <% end %>
+iface <%= name %> inet static
+        address <%= address %>
+        netmask <%= netmask %>
+<% if broadcast != "NONE" %>        broadcast <%= broadcast %> <% end %>
+        <%= parameters %>
+
Index: /trunk/puppet/modules/puppet-network/templates/openbsd.hostname.erb
===================================================================
--- /trunk/puppet/modules/puppet-network/templates/openbsd.hostname.erb	(revision 510)
+++ /trunk/puppet/modules/puppet-network/templates/openbsd.hostname.erb	(revision 510)
@@ -0,0 +1,1 @@
+inet <%= address %> <%= netmask %> <%= broadcast %> <%= parameters %>