Index: trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 534)
@@ -3,24 +3,26 @@
 			<B_avisos>
 					<div id="dernarticles" class="listagebloc">
+					<ul class="listageconteneur">
 			<BOUCLE_avisos(ARTICLES) {lang?}{titre_mot=aviso inferior} {par num titre}{par titre}>
 				<B_muestraspots>
 				<BOUCLE_muestraspots(DOCUMENTS){id_article}{par num titre}>                   <!-- selecciona los documentos en el articulos --> 
-        			<div class="avisos">	
+
 				
 					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0})]</a>]
                [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={2}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE2,0})]</a>]
                [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0})]</a>]
-				                                                               <!-- Inserta el documento en este caso FLASH en la pagina -->  
-    				</div><!-- avisosderecha -->
+				      <br/ >                                                         <!-- Inserta el documento en este caso FLASH en la pagina -->  
+
 				</BOUCLE_muestraspots>
 				</B_muestraspots>
-					<div class="avisosderecha">	
+
 					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0})]]
                 [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0})]]
                 [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0})]]
-	
-					</div><!-- avisosderecha -->
+						 <br/>  
+
 				<//B_muestraspots>     
     		</BOUCLE_avisos> 
+    		</ul>
     			</div>
     		</B_avisos>
Index: trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 534)
@@ -2,5 +2,7 @@
 
 			<B_avisos>
+			
 					<div id="dernarticles" class="listagebloc">
+					<ul class="listageconteneur">
 			<BOUCLE_avisos(ARTICLES) {lang?}{titre_mot=aviso superior}{par num titre}{par titre}>
  
@@ -8,5 +10,5 @@
 
 				<BOUCLE_muestraspots(DOCUMENTS){id_article}{par num titre}{doublons}>                   <!-- selecciona los documentos en el articulos --> 
-        			<div class="avisos">	
+        			
 				
 					[<a href="#URL_ARTICLE">(#ENV{conteneur}|=={1}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CONTEXTE1,0})]</a>]
@@ -14,15 +16,16 @@
                [<a href="#URL_ARTICLE">(#ENV{conteneur}|=={3}|?{' ',''})[(#EMBED_DOCUMENT|image_reduire{#LARGEUR_CORPS,0})]</a>]
 				                                                               <!-- Inserta el documento en este caso FLASH en la pagina -->  
-    				</div><!-- avisosderecha -->
+
 				</BOUCLE_muestraspots>
 				</B_muestraspots>
-					<div class="avisosderecha">	
+
 					 [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0})]]
                 [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0})]]
                 [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|center|#URL_ARTICLE|image_reduire{#LARGEUR_CORPS,0})]]
 	
-					</div><!-- avisosderecha -->
+
 				<//B_muestraspots>     
     		</BOUCLE_avisos> 
+    		</ul>
     			</div>
     		</B_avisos>
Index: trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 534)
@@ -2,5 +2,5 @@
 	<B_articles_por_secciones>
 	<div id="dernarticles" class="listagebloc">
-	<BOUCLE_laruborig(RUBRIQUES){id_rubrique}>[<h2><a href="#URL_RUBRIQUE">(#TITRE|supprimer_numero)</a></h2>]</BOUCLE_laruborig>
+	<BOUCLE_laruborig(RUBRIQUES){id_rubrique}>[<a href="#URL_RUBRIQUE"><h2>(#TITRE|supprimer_numero)</h2></a>]</BOUCLE_laruborig>
 	
 	<ul class="listageconteneur">
Index: trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml	(revision 534)
@@ -13,4 +13,7 @@
 <bloc statut="2" >destacada_lateral</bloc>
 <bloc statut="2" >avisoinferior</bloc>
+<bloc statut="1" paramdescr="Ejercicios">ejercicios</bloc>
+<bloc statut="1" paramdescr="Modulos">modulos</bloc>
+<bloc statut="2" paramdescr="id_de_l'article" param="champ" paramdefaut="">sommaire-diaporama</bloc>
 <bloc statut="4" param="1,2,3,4,5,6,7,8,9,10" paramdefaut="5" paramdescr="nombre_playlist">bloc_video_hasard_branche</bloc>
 </gabarit>
Index: trunk/spip/esqueleto-redcta/pages-custom/inc/bloquecito.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/inc/bloquecito.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/inc/bloquecito.html	(revision 534)
@@ -10,13 +10,13 @@
 			<h4 class="listagetitre">#TITRE</h4></a>
 				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
-                                  <strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+                                  <h6>[(#DATE|nom_jour) ][(#DATE|affdate)]</h6> 
                               </BOUCLE_date>
 			<div class="listagetexte #EDIT{chapo}">
 				 <B_foto>
                         <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
-                                [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{120,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})]
+                                [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{70,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})]
                         </BOUCLE_foto>
                         </B_foto>
-                                 [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{120,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})] 
+                                 [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{70,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})] 
                         <//B_foto>	
                         #CHAPO
Index: trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html	(revision 534)
@@ -3,5 +3,5 @@
 	<div id="nota_principal" class="article-une">
 	<ul>
-        <table><tr><td>
+        <table width="100%"<tr><td>
 		<div class="volantadest1">
 			<B_foto>
@@ -17,5 +17,5 @@
 			<h4 class="listagetitre">#TITRE</h4></a>
 				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
-                                  <strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+                                  <h6>[(#DATE|nom_jour) ][(#DATE|affdate)]</h6> 
                               </BOUCLE_date>
 			<div class="listagetexte #EDIT{chapo}">
Index: trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html	(revision 534)
@@ -3,5 +3,5 @@
 	<div id="nota_principal" class="article-une">
 	<ul>
-	<table><tr><td>
+	<table width="100%"><tr><td>
 		<div class="volantadest1">
                         <B_foto>
@@ -17,5 +17,5 @@
 			<h4 class="listagetitre">#TITRE</h4></a>
 				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
-                                  <strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+                                  <h6>[(#DATE|nom_jour) ][(#DATE|affdate)]</h6> 
                               </BOUCLE_date>
 			<div class="listagetexte #EDIT{chapo}">
Index: trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 534)
@@ -2,5 +2,5 @@
 	<B_articles_por_secciones>
 	<div id="dernarticles" class="listagebloc">
-	<BOUCLE_laruborig(RUBRIQUES){id_rubrique}>[<h2><a href="#URL_RUBRIQUE">(#TITRE|supprimer_numero)</a></h2>]</BOUCLE_laruborig>
+	<BOUCLE_laruborig(RUBRIQUES){id_rubrique}>[<a href="#URL_RUBRIQUE"><h2>(#TITRE|supprimer_numero)</h2></a>]</BOUCLE_laruborig>
 	
 	<ul class="listageconteneur">
Index: trunk/spip/esqueleto-redcta/pages-custom/titulares.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/titulares.html	(revision 361)
+++ trunk/spip/esqueleto-redcta/pages-custom/titulares.html	(revision 534)
@@ -7,5 +7,5 @@
 			<li>
 				[<h4 class="listagetitre"><a href="#URL_ARTICLE">(#TITRE|supprimer_numero)</a></h4>]		
-				<p class="listageinfo"><strong><:rubrique:> <BOUCLE_laruborig(RUBRIQUES){id_rubrique}><a href="#URL_RUBRIQUE">[(#TITRE|supprimer_numero)]</a></BOUCLE_laruborig></strong>
+				<p class="listageinfo">
 <BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
 <strong>[<:le_date:> (#DATE|affdate)]</strong> 