Index: unk/puppet/modules/puppet-ltsp/manifests/classes/ltsp.pp
===================================================================
--- /trunk/puppet/modules/puppet-ltsp/manifests/classes/ltsp.pp	(revision 576)
+++ 	(revision )
@@ -1,67 +1,0 @@
-#
-# Example usage with a proxy of packages:
-# ltsp::buildclient { dist:
-#       mirror => "http://debproxy:3142/ar.archive.ubuntu.com/ubuntu",
-#       securitymirror => "http://debproxy:3142/security.ubuntu.com"
-# }
-#
-# to debug inside ltsp client
-# # chroot /opt/ltsp/i386
-# # mount /proc -t proc /proc && mount /sys -t sysfs /sys
-# 
-# to end correctly
-# # umount /sys && umount /proc
-# # exit
-
-
-## TODO:
-# - set root password
-# - configure munin-node
-# - ocsinventory (with a preseed)
-# - update client con pilotos de red + scripts
-# - sourcelist for the security 
-# - cleanup packages after an update because it grows the image
-# - http://bazaar.launchpad.net/~jigish-gohil/kiwi-ltsp/trunk/annotate/head%3A/trunk/kiwi-ltsp/ltsp/include/kiwi-ltsp-functions.sh#
-
-class ltsp::common {
-  package { "ltsp-server": ensure => installed }
-  package { "ltspfs": ensure => installed }
-}
-
-define ltsp::buildclient ( $mirror, $securitymirror  ) { 
-    include ltsp::common
-
-    exec { "ltsp-build-client":
-	command => "ltsp-build-client --mirror=$mirror --security-mirror=$securitymirror --late-packages \"ssh munin-node\" &>/dev/null",
-        path => "/bin:/sbin:/usr/sbin:/usr/bin",
-	creates => "/opt/ltsp/i386",
-    }
-}
-
-class ltsp::updateclient::piloto {
-
-    svn::checkout { ltsp-cliente:
-       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/ltsp-cliente",
-       local_path => "/opt/ltsp/i386",
-       local_name => "root"
-    }
-}
-
-class ltsp::tftpdhpa::activate { 
-	package { "tftpd-hpa": ensure => installed }
-
-        line { tftpdhpa_activate_off:
-        file => "/etc/default/tftpd-hpa",
-        line => 'RUN_DAEMON="no"',
-        ensure => absent,
-        require => Package["tftpd-hpa"]
-        }
-
-	line { tftpdhpa_activate_on:
-	file => "/etc/default/tftpd-hpa",
-	line => 'RUN_DAEMON="yes"',
-	ensure => present,
-	require => Package["tftpd-hpa"]
-	}
-}
-
Index: /trunk/puppet/modules/puppet-ltsp/manifests/classes/server.pp
===================================================================
--- /trunk/puppet/modules/puppet-ltsp/manifests/classes/server.pp	(revision 577)
+++ /trunk/puppet/modules/puppet-ltsp/manifests/classes/server.pp	(revision 577)
@@ -0,0 +1,67 @@
+#
+# Example usage with a proxy of packages:
+# ltsp::buildclient { dist:
+#       mirror => "http://debproxy:3142/ar.archive.ubuntu.com/ubuntu",
+#       securitymirror => "http://debproxy:3142/security.ubuntu.com"
+# }
+#
+# to debug inside ltsp client
+# # chroot /opt/ltsp/i386
+# # mount /proc -t proc /proc && mount /sys -t sysfs /sys
+# 
+# to end correctly
+# # umount /sys && umount /proc
+# # exit
+
+
+## TODO:
+# - set root password
+# - configure munin-node
+# - ocsinventory (with a preseed)
+# - update client con pilotos de red + scripts
+# - sourcelist for the security 
+# - cleanup packages after an update because it grows the image
+# - http://bazaar.launchpad.net/~jigish-gohil/kiwi-ltsp/trunk/annotate/head%3A/trunk/kiwi-ltsp/ltsp/include/kiwi-ltsp-functions.sh#
+
+class ltsp::common {
+  package { "ltsp-server": ensure => installed }
+  package { "ltspfs": ensure => installed }
+}
+
+define ltsp::buildclient ( $mirror, $securitymirror  ) { 
+    include ltsp::common
+
+    exec { "ltsp-build-client":
+	command => "ltsp-build-client --mirror=$mirror --security-mirror=$securitymirror --late-packages \"ssh munin-node\" &>/dev/null",
+        path => "/bin:/sbin:/usr/sbin:/usr/bin",
+	creates => "/opt/ltsp/i386",
+    }
+}
+
+class ltsp::updateclient::piloto {
+
+    svn::checkout { ltsp-cliente:
+       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/ltsp-cliente",
+       local_path => "/opt/ltsp/i386",
+       local_name => "root"
+    }
+}
+
+class ltsp::tftpdhpa::activate { 
+	package { "tftpd-hpa": ensure => installed }
+
+        line { tftpdhpa_activate_off:
+        file => "/etc/default/tftpd-hpa",
+        line => 'RUN_DAEMON="no"',
+        ensure => absent,
+        require => Package["tftpd-hpa"]
+        }
+
+	line { tftpdhpa_activate_on:
+	file => "/etc/default/tftpd-hpa",
+	line => 'RUN_DAEMON="yes"',
+	ensure => present,
+	require => Package["tftpd-hpa"]
+	}
+}
+