Index: /trunk/puppet/modules/puppet-escritorio/manifests/classes/basico.pp
===================================================================
--- /trunk/puppet/modules/puppet-escritorio/manifests/classes/basico.pp	(revision 600)
+++ /trunk/puppet/modules/puppet-escritorio/manifests/classes/basico.pp	(revision 600)
@@ -0,0 +1,43 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class escritorio::basico {
+
+    package { [
+       "ubuntu-desktop",
+       "ubuntu-restricted-extras",
+       ]: ensure => installed
+    }
+
+    package { [
+       "inkscape",
+       "nautilus-image-converter",
+       ]: ensure => installed
+    }
+
+    package { [
+       "amsn",
+       "tuxtype",
+       ]: ensure => installed
+    }
+
+    package { [
+       "bluefish",
+       ]: ensure => installed
+    }
+
+    package { [
+       "terminator",
+       "libnss3-tools",
+       ]: ensure => installed
+    }
+
+
+    file { ["/dist", "/dist/svn-redcta"]:
+      ensure => directory,
+      owner => root,
+      group => root
+    }
+}
+
Index: /trunk/puppet/modules/puppet-escritorio/manifests/classes/gnome.pp
===================================================================
--- /trunk/puppet/modules/puppet-escritorio/manifests/classes/gnome.pp	(revision 600)
+++ /trunk/puppet/modules/puppet-escritorio/manifests/classes/gnome.pp	(revision 600)
@@ -0,0 +1,77 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class escritorio::gnome-theme::xp {
+
+    svn::checkout { gnome-theme-xp:
+        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/gnome-theme-xp",
+        local_path => "/dist/svn-redcta",
+        local_name => "gnome-theme-xp",
+    }
+
+    file { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
+        ensure => "present",
+        owner => "root", group => "root", mode => "755", checksum => mtime,
+#       require => svn::checkout["gnome-theme-xp"],
+    }
+
+## TODO: exec this when there is a svn checkout
+    exec { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
+        refreshonly => true,
+        subscribe => File["/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh"]
+    }
+}
+
+
+class escritorio::iconos {
+
+    file  { "/etc/X11/Xsession.d/65xdg-user-desktop-icons-update":
+        ensure => "/dist/svn-redcta/gnome-theme-xp/Xsession.d/65xdg-user-desktop-icons-update"
+    }
+}
+
+
+class escritorio::fondos::cta {
+
+    svn::checkout { escritorio-fondos-cta:
+        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/escritorio-fondos-cta",
+        local_path => "/dist/svn-redcta",
+        local_name => "escritorio-fondos-cta"
+    }
+
+    file  { "/usr/share/backgrounds/wpiedras-hojitas.jpg":
+        ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-hojitas.jpg"
+    }
+
+    file { "/usr/share/backgrounds/wpiedras-verdecito.jpg":
+        ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-verdecito.jpg"
+    }
+}
+
+
+class escritorio::autostart-off {
+
+    define deshabilita_servicios($archivos) {
+        deshabilita_servicio { $archivos: archivo => $name }
+    }
+
+    define deshabilita_servicio($archivo) {
+        file { "${archivo}/$name"  : ensure => present, }
+
+        line { "verdadero$name" :
+            file   => "${archivo}/$name",
+            line   => "X-GNOME-Autostart-enabled=true",
+            ensure => absent,
+        }
+        line { "falso$name":
+            file   => "${archivo}/$name" ,
+            line   => "X-GNOME-Autostart-enabled=false",
+            ensure => present,
+        }
+    }
+
+    deshabilita_servicios { "/etc/xdg/autostart":
+        archivos => [ "vino-server.desktop", "update-notifier.desktop", "bluetooth-applet.desktop", "evolution-alarm-notify.desktop", "jockey-gtk.desktop", "gnome-at-session.desktop", "gnome-power-manager.desktop" ],
+    }
+}
Index: /trunk/puppet/modules/puppet-escritorio/manifests/classes/oo3conf.pp
===================================================================
--- /trunk/puppet/modules/puppet-escritorio/manifests/classes/oo3conf.pp	(revision 600)
+++ /trunk/puppet/modules/puppet-escritorio/manifests/classes/oo3conf.pp	(revision 600)
@@ -0,0 +1,31 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class escritorio::oo3conf {
+
+    package { [
+       "openoffice.org-common",
+       "openoffice.org-pdfimport",
+       ]: ensure => installed
+    }
+}
+
+
+class escritorio::oo30conf::fileformat {
+    include escritorio::oo3conf
+
+   # we are changing the config file for write, calc and impress for oo3 3.0
+   change_oo3_default { [ "writer", "calc", "impress" ]: oo3_version => "3.0"; }
+
+   # Configuration file for OO 3.X
+   define change_oo3_default($oo3_version) {
+     file { "/usr/lib/openoffice/basis$oo3_version/share/registry/modules/org/openoffice/Setup/Setup-$name.xcu":
+       owner => root,
+       group => root,
+       mode => 644,
+       source => "puppet:///oo3_default_fileformat/Setup-$name.xcu"
+      }
+   }
+}
+
Index: /trunk/puppet/modules/puppet-escritorio/manifests/classes/tb2conf.pp
===================================================================
--- /trunk/puppet/modules/puppet-escritorio/manifests/classes/tb2conf.pp	(revision 600)
+++ /trunk/puppet/modules/puppet-escritorio/manifests/classes/tb2conf.pp	(revision 600)
@@ -0,0 +1,40 @@
+# copyright albertorosenberg @ cta.org.ar
+# copyright sebas @ cta.org.ar
+# Licence: GPL
+#
+
+class escritorio::tb2conf {
+
+    package { [
+        "thunderbird",
+        "thunderbird-gnome-support",
+        ]: ensure => installed
+    }
+
+    file { "/usr/share/thunderbird/defaults/pref/mailnews.js":
+        owner   => root,
+        group   => root,
+        mode    => 644,
+        source  => "puppet:///escritorio/tb2conf/mailnews.js",
+        require => Package["thunderbird"],
+    }
+}
+
+class escritorio::tb2::extensions {
+
+    svn::checkout { thunderbird-extension:
+        repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/thunderbird",
+        local_path => "/dist/svn-redcta",
+        local_name => "thunderbid-extensions"
+    }
+
+    file { "/usr/share/thunderbird/isp/example-isp.rdf":
+        ensure => "/dist/svn-redcta/thunderbid-extensions/agregados/sources/isp/example-isp.rdf"
+    }
+
+# TODO: hacer lo andar bien...
+#    file { "/usr/lib/thunderbird/extensions/syncmlplugin@funambol.com":
+#        ensure => "/dist/svn-redcta/thunderbid-extensions/funambol/dist"
+#    }
+}
+
Index: /trunk/puppet/modules/puppet-escritorio/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/puppet-escritorio/manifests/init.pp	(revision 600)
+++ /trunk/puppet/modules/puppet-escritorio/manifests/init.pp	(revision 600)
@@ -0,0 +1,1 @@
+import "classes/*.pp"
Index: /trunk/puppet/modules/puppet-openldap/.git/logs/HEAD
===================================================================
--- /trunk/puppet/modules/puppet-openldap/.git/logs/HEAD	(revision 599)
+++ /trunk/puppet/modules/puppet-openldap/.git/logs/HEAD	(revision 600)
@@ -1,1 +1,2 @@
 0000000000000000000000000000000000000000 e61efc07ab557cc3858be1ebe2209b23155f7e6a root <root@chavez.sedenacional.cta.org.ar> 1257699810 +0000	clone: from git://github.com/camptocamp/puppet-openldap.git
+e61efc07ab557cc3858be1ebe2209b23155f7e6a 8928a0b93598103160d3d44a4fdb76ff04709699 Sebastien <sebas@zara.barricade.mine.nu> 1266810823 -0300	commit: fichier de configuration de pam-ldap, schemas ldap, et nss-ldap
Index: /trunk/puppet/modules/puppet-openldap/.git/logs/refs/heads/master
===================================================================
--- /trunk/puppet/modules/puppet-openldap/.git/logs/refs/heads/master	(revision 599)
+++ /trunk/puppet/modules/puppet-openldap/.git/logs/refs/heads/master	(revision 600)
@@ -1,1 +1,2 @@
 0000000000000000000000000000000000000000 e61efc07ab557cc3858be1ebe2209b23155f7e6a root <root@chavez.sedenacional.cta.org.ar> 1257699810 +0000	clone: from git://github.com/camptocamp/puppet-openldap.git
+e61efc07ab557cc3858be1ebe2209b23155f7e6a 8928a0b93598103160d3d44a4fdb76ff04709699 Sebastien <sebas@zara.barricade.mine.nu> 1266810823 -0300	commit: fichier de configuration de pam-ldap, schemas ldap, et nss-ldap
Index: /trunk/puppet/modules/puppet-openldap/.git/refs/heads/master
===================================================================
--- /trunk/puppet/modules/puppet-openldap/.git/refs/heads/master	(revision 599)
+++ /trunk/puppet/modules/puppet-openldap/.git/refs/heads/master	(revision 600)
@@ -1,1 +1,1 @@
-e61efc07ab557cc3858be1ebe2209b23155f7e6a
+8928a0b93598103160d3d44a4fdb76ff04709699