Index: /trunk/puppet/manifests/classes/estacion-de-trabajo.pp
===================================================================
--- /trunk/puppet/manifests/classes/estacion-de-trabajo.pp	(revision 604)
+++ /trunk/puppet/manifests/classes/estacion-de-trabajo.pp	(revision 605)
@@ -1,32 +1,4 @@
+## en migracion al modulo escritorio
 class estacion-de-trabajo {
-
-## lo basico
-    package { [ "ubuntu-desktop", "ubuntu-restricted-extras", "ssh" ]: ensure => installed }
-
-## oficina - editar pdf
-    package { [ 'openoffice.org-pdfimport' ]: ensure => installed }
-
-## utile - gui
-    package { [ 'terminator' ]: ensure => installed }
-
-## security
-    package { [ "libnss3-tools" ]: ensure => installed }
-
-## correo electronico
-    package { [ "thunderbird", "thunderbird-gnome-support" ]: ensure => installed }
-
-## grafico
-    package { [ "inkscape" ]: ensure => installed }
-
-    package { [ "nautilus-image-converter" ]: ensure => installed }
-
-## editor de texto para html, php, etc...
-    package { [ "bluefish" ]: ensure => installed }
-
-## IM
-    package { [ "amsn" ]: ensure => installed }
-
-## juegos
-    package { [ "tuxtype" ]: ensure => installed }
 
 ## creation of home directories with permission 700 (cannot be read by others)
@@ -45,118 +17,3 @@
     }
 
-
-#   question de creer le repertoire avant de faire le checkout
-    file { ["/dist", "/dist/svn-redcta"]:
-      ensure => directory,
-      owner => root,
-      group => root
-    }
-
-    include estacion-de-trabajo::gnome-desktop::xp
-
-    include estacion-de-trabajo::thunderbird::extensions
-
-    include estacion-de-trabajo::escritorio::fondos::cta
-
-    include estacion-de-trabajo::escritorio::autostart
-
 }
-
-class estacion-de-trabajo::gnome-desktop::xp {
-
-    svn::checkout { gnome-theme-xp:
-       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/gnome-theme-xp",
-       local_path => "/dist/svn-redcta",
-       local_name => "gnome-theme-xp",
-    }
-
-# Not used for now
-#    file { "/dist/svn-redcta/gnome-theme-xp/":
-#        ensure => "present",
-#    }
-
-    file { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
-	ensure => "present",
-	owner => "root", group => "root", mode => "755", checksum => mtime,
-#        require => svn::checkout["gnome-theme-xp"],
-    }
-
-## TODO: exec this when there is a svn checkout
-    exec { "/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh":
-        refreshonly => true,
-        subscribe => File["/dist/svn-redcta/gnome-theme-xp/change-default-to-xp.sh"]
-    }
-
-
-    file  { "/etc/X11/Xsession.d/65xdg-user-desktop-icons-update":
-       ensure => "/dist/svn-redcta/gnome-theme-xp/Xsession.d/65xdg-user-desktop-icons-update"
-    }
-}
-
-
-## TODO: poner thunderbird como client de correo por defecto en la 
-#        session del usuario asi no se abre evolution.
-
-class estacion-de-trabajo::thunderbird::extensions {
-
-    svn::checkout { thunderbird-extension:
-       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/thunderbird",
-       local_path => "/dist/svn-redcta",
-       local_name => "thunderbid-extensions"
-    }
-
-    file  { "/usr/share/thunderbird/isp/example-isp.rdf":
-       ensure => "/dist/svn-redcta/thunderbid-extensions/agregados/sources/isp/example-isp.rdf"
-    }
-
-# TODO: hacer lo andar bien...
-#    file { "/usr/lib/thunderbird/extensions/syncmlplugin@funambol.com":
-#       ensure => "/dist/svn-redcta/thunderbid-extensions/funambol/dist"
-#    }
-}
-
-class estacion-de-trabajo::escritorio::fondos::cta {
-
-    svn::checkout { escritorio-fondos-cta:
-       repository => "https://svn.redcta.org.ar/proyectos/redcta/trunk/escritorio-fondos-cta",
-       local_path => "/dist/svn-redcta",
-       local_name => "escritorio-fondos-cta"
-    }
-
-    file  { "/usr/share/backgrounds/wpiedras-hojitas.jpg":
-       ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-hojitas.jpg"
-    }
-
-    file { "/usr/share/backgrounds/wpiedras-verdecito.jpg":
-       ensure => "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-verdecito.jpg"
-    }
-}
-
-class estacion-de-trabajo::escritorio::autostart {
-	
-	define deshabilita_servicios($archivos) {
-		 deshabilita_servicio { $archivos: archivo => $name }  
-	}
-
-	define deshabilita_servicio($archivo) {
-		file { "${archivo}/$name"  : ensure => present, }
-
-		line  { "verdadero$name" :
-		       file => "${archivo}/$name",
-		       line => "X-GNOME-Autostart-enabled=true",
-		       ensure => absent,
-		}	
-
-		line  { "falso$name":
-	        	file => "${archivo}/$name" ,
-			line => "X-GNOME-Autostart-enabled=false",
-	     	        ensure => present,
-		}	
-
-	}
-
-	deshabilita_servicios { "/etc/xdg/autostart":
-        	archivos => [ "vino-server.desktop", "update-notifier.desktop", "bluetooth-applet.desktop", "evolution-alarm-notify.desktop", "jockey-gtk.desktop", "gnome-at-session.desktop", "gnome-power-manager.desktop" ],
-	}
-
-}
Index: /trunk/puppet/manifests/classes/maquinavirtual.pp
===================================================================
--- /trunk/puppet/manifests/classes/maquinavirtual.pp	(revision 604)
+++ /trunk/puppet/manifests/classes/maquinavirtual.pp	(revision 605)
@@ -1,3 +1,3 @@
-class maquinavirtual {
+class maquinavirtualold {
    
    package { [ "qemu" ]: ensure => installed }
@@ -5,5 +5,5 @@
 }
 
-class maquinavirtual::dos {
+class maquinavirtualold::dos {
 
     package { [ "dosbox" ]: ensure => installed }