Index: /trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD
===================================================================
--- /trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 614)
+++ /trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 615)
@@ -33,40 +33,45 @@
        MENU LABEL 9.04-desktop : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Desktop ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL 9.04-basic
        MENU LABEL 9.04-basic : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Basic ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-basic.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-904-basic.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
-LABEL 9.04-ltsp
-       MENU LABEL 9.04-ltsp : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty LTSP ; i386 + Preseed)
+LABEL 9.04-raid
+       MENU LABEL 9.04-raid : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Raid1 ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL 9.10-desktop
        MENU LABEL 9.10-desktop : Debian/Ubuntu Installer (Ubuntu 9.10/Karmic Desktop ; i386 + Preseed)
        kernel debian-installer/karmic/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-910-desktop.txt initrd=debian-installer/karmic/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-910-desktop.txt initrd=debian-installer/karmic/i386/initrd.gz --
 
 LABEL 10.04-desktop
        MENU LABEL 10.04-desktop : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Desktop ; i386 + Preseed)
        kernel debian-installer/lucid/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL 10.04-raid
+       MENU LABEL 10.04-raid : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Raid1; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver/d-i/ubuntu-1004-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL lenny
        MENU LABEL lenny-basic : Debian Installer (Debian Lenny 5.0 ; i386 + Preseed)
 	kernel debian-installer/lenny/i386/linux
-	append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver.redcta.org.ar/d-i/debian-lenny-desktop.txt  initrd=debian-installer/lenny/i386/initrd.gz -- quiet
+	append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver/d-i/debian-lenny-desktop.txt  initrd=debian-installer/lenny/i386/initrd.gz -- quiet
 
 LABEL squeeze
        MENU LABEL squeeze-basic : Debian Installer (Debian Squeeze 6.0 ; i386 + Preseed)
         kernel debian-installer/squeeze/i386/linux
-        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver.redcta.org.ar/d-i/debian-squeeze-desktop.txt  initrd=debian-installer/squeeze/i386/initrd.gz -- quiet
+        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver/d-i/debian-squeeze-desktop.txt  initrd=debian-installer/squeeze/i386/initrd.gz -- quiet
 
 LABEL sid
        MENU LABEL sid-basic : Debian Installer (Debian Sid UNSTABLE ; i386 + Preseed)
         kernel debian-installer/sid/i386/linux
-        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver.redcta.org.ar/d-i/debian-squeeze-desktop.txt  initrd=debian-installer/sid/i386/initrd.gz -- quiet
+        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=http://autoserver/d-i/debian-squeeze-desktop.txt  initrd=debian-installer/sid/i386/initrd.gz -- quiet
 
 