Index: trunk/gnome-theme-xp/lucid-escritorio-xp.sh
===================================================================
--- trunk/gnome-theme-xp/lucid-escritorio-xp.sh	(revision 633)
+++ trunk/gnome-theme-xp/lucid-escritorio-xp.sh	(revision 633)
@@ -0,0 +1,270 @@
+#!/bin/bash
+#
+
+## thunderbird by default as a email client
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set "/desktop/gnome/url-handlers/mailto/command" "mozilla-thunderbird %s"
+# not used for now
+# gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type string --set "/apps/panel/default_setup/objects/email_launcher/launcher_location" "/usr/share/applications/mozilla-thunderbird.desktop"
+
+#for xpconf in $xpconfig; do
+#        /usr/bin/gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "$xpconfig" > /dev/null 2>&1
+#done
+
+#symblink to get theme, icon set and cursors
+ln -s /dist/svn-redcta/gnome-theme-xp/files/GnomeXP /usr/share/icons/GnomeXP
+ln -s /dist/svn-redcta/gnome-theme-xp/files/XPLuna /usr/share/themes/XPLuna
+ln -s /dist/svn-redcta/gnome-theme-xp/files/xp /usr/share/icons/xp
+
+#icono
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/interface/icon_theme" --type string "GnomeXP"
+
+# Cursor
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/peripherals/mouse/cursor_theme" --type string "xp"
+
+
+#gtk-theme
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/interface/gtk_theme" --type string "XPLuna"
+# Meacity Theme
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/general/theme" --type string "XPLuna"
+
+
+# one workplace
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/general/num_workspaces" --type int 1
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/compiz/general/screen0/options/hsize" --type int 1
+
+# open the menu with the windows key
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/global_keybindings/panel_main_menu" --type string "Super_L"
+#gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/global_keybindings/panel_main_menu" --type string "Super_R"
+
+# Desktop Icons
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/computer_icon_visible" --type bool TRUE
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/computer_icon_name" --type string "Mi Pc"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/home_icon_visible" --type bool TRUE
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/home_icon_name" --type string "Mis Documentos"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/network_icon_visible" --type bool FALSE
+#gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/network_icon_name" --type string "La Red"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/trash_icon_visible" --type bool TRUE
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/trash_icon_name" --type string "Papelera"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/volumes_visible" --type bool FALSE
+
+# Splash Screen
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/gnome-session/options/show_splash_screen" --type bool TRUE
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/gnome-session/options/splash_image" --type string "/usr/share/themes/XPLuna/windowslogin.png"
+
+
+# background
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/background/picture_filename" --type string "/dist/svn-redcta/escritorio-fondos-cta/wpiedras-hojitas.jpg"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/background/picture_options" --type string "stretched"
+
+## Panel Stuff
+# Create New Panel
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/animation_speed" --type string "medium"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/auto_hide" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/auto_hide_size" --type int 6
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/enable_animations" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/enable_arrows" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/enable_buttons" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/expand" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/hide_delay" --type int 500
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/monitor" --type int 0
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/name" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/orientation" --type string "bottom"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/screen" --type int 0
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/size" --type int 32
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/unhide_delay" --type int 500 
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/x" --type int 0
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/x_centered" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/x_right" --type int 
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/y" --type int 0
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/y_bottom" --type  int 
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/y_centered" --type bool FALSE
+
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/color" --type string "#ffffff"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/fit" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/image" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/opacity" --type int 6000
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/rotate" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/stretch" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/toplevels/bottom_panel_0/background/type" --type string "gtk"
+
+# Start Menu
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/bonobo_iid" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/custom_icon" --type string "/usr/share/themes/XPLuna/start.png"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/object_type" --type string "menu-object"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/position" --type int 0
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/tooltip" --type string "Main Menu"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/use_custom_icon" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_0/use_menu_path" --type bool FALSE
+
+# Show Desktop
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/bonobo_iid" --type string "OAFIID:GNOME_ShowDesktopApplet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/object_type" --type string "bonobo-applet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/position" --type int 1
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/use_menu_path" --type bool FALSE
+
+# firefox
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/bonobo_iid" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/launcher_location" --type string "/usr/share/applications/firefox.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/object_type" --type string "launcher-object"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/position" --type int 2
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/use_menu_path" --type bool FALSE
+
+# icedove
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/bonobo_iid" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/launcher_location" --type string "/usr/share/applications/thunderbird.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/object_type" --type string "launcher-object"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/position" --type int 3
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/use_menu_path" --type bool FALSE
+
+# Window Switcher
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/bonobo_iid" --type string "OAFIID:GNOME_WindowListApplet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/object_type" --type string "bonobo-applet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/position" --type int 4
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/use_menu_path" --type bool FALSE
+
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/prefs/display_all_workspaces" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/prefs/group_windows" --type string "never"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/prefs/maximum_size" --type int 4096
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/prefs/minimum_size" --type int 50
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_1/prefs/move_unminimized_windows" --type bool TRUE
+
+# Notification Area
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/bonobo_iid" --type string "OAFIID:GNOME_NotificationAreaApplet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/object_type" --type string "bonobo-applet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/panel_right_stick" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/position" --type int 5
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_2/use_menu_path" --type bool FALSE
+
+# Volume Control
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/bonobo_iid" --type string "OAFIID:GNOME_MixerApplet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/object_type" --type string "bonobo-applet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/panel_right_stick" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/position" --type int 2
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_3/use_menu_path" --type bool FALSE
+
+# Clock
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/bonobo_iid" --type string "OAFIID:GNOME_ClockApplet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/launcher_location" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/object_type" --type string "bonobo-applet"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/panel_right_stick" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/use_menu_path" --type bool FALSE
+
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/config_tool" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/custom_format" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/expand_appointments" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/expand_birthdays" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/expand_tasks" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/expand_weather" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/format" --type string "24-hour"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/gmt_time" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/hour_format" --type string "12"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/internet_time" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/show_date" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/show_seconds" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/show_timezones" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/show_tooltip" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/show_week_numbers" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/unix_time" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_4/prefs/timezones/tz_id_list" --type list --list-type string "[]"
+
+# Add Panels Items
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/applet_id_list" --type list --list-type string "[applet_0,applet_1,applet_2,applet_3,applet_4]"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/object_id_list" --type list --list-type string "[object_0,object_1,object_2]"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/toplevel_id_list" --type list --list-type string "[bottom_panel_0]"
+
+
+## Cambios Tickets redcta.org.ar
+
+#Ticket #14 configuracion compiz - configurar a ningun effecto visual con gconftool2
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/session/required_components/windowmanager"  --type string "metacity"
+
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/background/picture_options"  --type string scales
+
+#Ticket #33 Usar la tecla de Windows para abrir el menu
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/global_keybindings/panel_main_menu" --type string "Super_L"
+
+#Ticket #35 Ventana de Guardar maximizada
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/preferences/navigation_window_saved_maximized" --type bool TRUE
+
+#Ticket #47 Quitar el update-manager de manera automatica para los usuarios
+#gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/update-notifier/auto_launch"  --type bool FALSE
+
+#Quita los sonidos de eventos para los usuarios
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/desktop/gnome/sound/event_sounds"  --type bool FALSE
+
+#/apps/indicator-session/suppress_logout_restart_shutdown
+# para hacer que no se autoejecute los servicios hay que agregar a los .desktop de 
+# /etc/xdg/autostart   X-GNOME-Autostart-enabled=false
+
+#Mueve los botones de cerrar, maximizar, minimar de la izquierda a la derecha (por Lucid)
+#gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/metacity/general/button_layout"  --type string "menu:minimize,maximize,close"